//////////////////////////////////////////////////////////////
//                                                          //
//          PROGRAMME DE STRUCTURES DE DONNEES              //
//                                                          //
//          APPLET DE DEMONSTRATION DES TABLES              //
//                                                          //
// Cette applet prepare la creation de la table             //
//                                                          //
// Auteur: Christian CARREZ,                                //
// Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   //
// Derniere modification: 20 septembre 2001                 //
//////////////////////////////////////////////////////////////

package Demonstration_Tables;

import java.awt.*; 
import java.awt.event.*; 

class LancementAnimation extends Panel implements ActionListener { 
  private Button Demarrage = new Button ("Creer table");
  private TextField NumBinf = new TextField ("", 3); 
  private TextField NumBsup = new TextField ("", 3); 
  private int TF_Anim;

  public LancementAnimation (int TF_Anim) { 
    this.TF_Anim = TF_Anim;
    setLayout (new FlowLayout());
    add(Demarrage); 
    add (NumBinf);
    add (NumBsup);
    Demarrage.addActionListener(this);
  } 

  public void actionPerformed (ActionEvent event) { 
    Animation_Tables Demo = null; 
    String Etiquette = event.getActionCommand();
    if (Etiquette.equals ("Creer table")) { 
      try { 
        Demo = new Animation_Tables 
                               (Integer.parseInt(NumBinf.getText()),
                                Integer.parseInt(NumBsup.getText()),
                                TF_Anim); 
        Demo.start ();
      } catch (NumberFormatException e) { 
        AlertFrame AF = new AlertFrame
                                ("\n    Erreur sur les parametres");
      } 
    } 
  }
}

public class Demo_Table extends java.applet.Applet { 
  private final int TF_Min = 8; 
  private final int TF_Max = 20;

  public void init() { 
    int TF_Anim = 14; // taille fonte par defaut

    String Param; 
    Param = getParameter ("fonteAnimation");
    if (Param != null) TF_Anim = Integer.parseInt(Param); 
    if (TF_Anim > TF_Max) TF_Anim = TF_Max; 
    if (TF_Anim < TF_Min) TF_Anim = TF_Min; 

    add (new LancementAnimation(TF_Anim)); 
  }
}
