//////////////////////////////////////////////////////////////
//                                                          //
//             MODULE DE STRUCTURES DE DONNEES              //
//                                                          //
//         MODULE DE GESTION DU CONTROLE DE LA LISTE        //
//                                                          //
// Ce module assure les fonctions generales de controle de  //
//    la taille et de la nature de la liste a traiter.      //
//                                                          //
// Auteur: Christian CARREZ,                                //
// Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   //
// Derniere modification: 4 avril 1999                      //
//////////////////////////////////////////////////////////////

package Commun_Demonstration;

import java.awt.*; 
import java.awt.event.*;

public class NatureListe extends Panel implements ActionListener { 
  private TextField Valeur_Taille;
  private UneListe maListe ;

  public NatureListe (UneListe maListe) { 
    Button b = null ;
    this.maListe = maListe ;
    setLayout (new FlowLayout());
    Valeur_Taille = new TextField(""+maListe.getNombre(), 3);
    Valeur_Taille.setEditable (false); 
    b = new Button ("ordonnee"); 
    add(b); 
    b.addActionListener(this) ;
    b = new Button ("aleatoire");
    add(b); 
    b.addActionListener(this) ;
    b = new Button ("-10");
    add(b) ; 
    b.addActionListener(this) ;
    b = new Button ("-1");
    add(b); 
    b.addActionListener(this) ; 
    add(Valeur_Taille);
    b = new Button ("+1");
    add(b); 
    b.addActionListener(this) ;
    b = new Button ("+10");
    add(b); 
    b.addActionListener(this) ;
  } 

  public void actionPerformed (ActionEvent event) { 
    String Etiquette = event.getActionCommand();
    if (Etiquette.equals ("ordonnee")) maListe.Ordonnee ();
    else if (Etiquette.equals ("aleatoire")) maListe.Aleatoire ();
    else if (Etiquette.equals ("-10")) maListe.Corriger_Nombre (-10); 
    else if (Etiquette.equals ("-1")) maListe.Corriger_Nombre (-1); 
    else if (Etiquette.equals ("+1")) maListe.Corriger_Nombre (1); 
    else if (Etiquette.equals ("+10")) maListe.Corriger_Nombre (10); 
    Valeur_Taille.setText (""+maListe.getNombre());
  } 
} 
