//////////////////////////////////////////////////////////////
//                                                          //
//             MODULE DE STRUCTURES DE DONNEES              //
//                                                          //
//          ALGORITHME DE RECHERCHE SEQUENTIELLE            //
//                                                          //
// Cette classe derive la la classe abstraite               //
//    Algorithmes_Recherche et implemente la recherche      //
//    sequentielle                                          //
// proprietes fonctionnelles                                //
//    recherche (c, l) =                                    //
//        si estvide (l) alors 1                            //
//        sinsi c = la_cle (premier (l)) alors 1            //
//        sinon 1 + recherche (c, fin (l))                  //
//        fsi                                               //
//    Les valeurs recherchees sont tirees aleatoirement     //
//                                                          //
// Auteur: Christian CARREZ,                                //
// Institution: CNAM 292 rue Saint Martin, 75141 Paris 03   //
// Derniere modification: 17 fevrier 2000                   //
//////////////////////////////////////////////////////////////

package Demonstration_Recherche;

import java.awt.*; 
import Commun_Demonstration.*;

public class Recherche_Sequ extends Algorithmes_Recherche { 
  public Recherche_Sequ (int[] V_Init, int L_Anim, int H_Anim) { 
    super(V_Init, L_Anim, H_Anim, " recherche Sequentielle ");
  } 

  void La_Recherche () throws StopAnim { // recherche sequentielle
    int J;
    for (;;) { 
      Valeur_U = (int) (((double)ieme.length) * Math.random()) + 1;
      Redessiner ();
      for (J = 0; J < ieme.length; J++) {
        Colors[J] = Color.green;
        Redessiner ();
        Colors[J] = Color.red;
        if (ieme[J] == Valeur_U) break; 
      } 
      Valeur_U = 0;         // placement
      Redessiner ();
      controleDemo.FinEtape() ; 
    } 
  } 
} 

